XML System.Xml [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.5000.0 2.0.0.0 All public static members of this type are safe for multithreaded operations. No instance members are guaranteed to be thread safe. System.Object System.IDisposable

Represents a reader that provides non-cached, forward-only access to XML data.

This class provides forward-only, read-only access to a stream of XML data. This class enforces the rules of well-formed XML but does not perform data validation.

This class conforms to the W3C Extensible Markup Language (XML) 1.0 and the Namespaces in XML recommendations.

A given set of XML data is modeled as a tree of nodes. The different types of nodes are specified in the enumeration. The reader is advanced to the next node using the method. The current node refers to the node on which the reader is positioned. The following table lists the node properties exposed for the current node.

Property
Description
AttributeCount
The number of attributes on the node.
BaseUri
The base URI of the node.
Depth
The depth of the node in the tree.
HasAttributes
Whether the node has attributes.
HasValue
Whether the node can have a text value.
IsDefault
Whether an node was generated from the default value defined in the DTD or schema.
IsEmptyElement
Whether an node is empty.
LocalName
The local name of the node.
Name
The qualified name of the node, equal to :.
NamespaceUri
The URI defining the namespace associated with the node.
NodeType
The of the node.
Prefix
A shorthand reference to the namespace associated with the node.
QuoteChar
The quotation mark character used to enclose the value of an attribute.
Value
The text value of the node.
XmlLang
The xml:lang scope within which the node resides.

This class does not expand default attributes or general entities. Any general entities encountered are returned as a single empty node.

This class checks that a Document Type Definition (DTD) is well-formed, but does not validate using the DTD.

To read strongly typed data, use the class.

This class throws a on XML parse errors. After an exception is thrown, the state of the reader is not predictable. For example, the reported node type might be different than the actual node type of the current node.

This class is and implemented in the class.

- Constructor
  Constructs a new instance of the class.
  To be added.
  0
  1.0.5000.0
  2.0.0.0
- Property
  System.Int32

  Gets the number of attributes on the current node.

  A containing the number of attributes on the current node, or zero if the current node does not support attributes.

  This property is only relevant to the , , and node types of the enumeration. Other node types do not have attributes.

  As described above.

  This property is read-only.

  This property must be overridden in order to provide the functionality described above, as there is no default implementation.

  0
  1.0.5000.0
  2.0.0.0
- Property
  System.String

  Gets the base Uniform Resource Identifier (URI) of the current node.

  The base URI of the current node.

  A networked XML document is comprised of chunks of data aggregated using various W3C standard inclusion mechanisms and therefore contains nodes that come from different places. DTD entities are an example of this, but this is not limited to DTDs. The base URI tells where these nodes come from. If there is no base URI for the nodes being returned (for example, they were parsed from an in-memory string), is returned.

  As described above.

  This property is read-only.

  This property must be overridden in order to provide the functionality described above, as there is no default implementation.

  0
  1.0.5000.0
  2.0.0.0
- Property
  System.Boolean To be added. To be added. To be added. 2.0.0.0
- Property
  System.Boolean To be added. To be added. To be added. 2.0.0.0
- Property
  System.Boolean

  Gets a value indicating whether this reader can parse and resolve entities.

  A equal to .

  This property returns to indicate the reader can parse and resolve entities; otherwise, .

  This property is read-only.

  This property always returns .

  Override this property to return for implementations that support schema or DTD information.

  Use this property to determine whether the reader can parse and resolve entities.

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Void

  Changes the to .

  This method releases any resources allocated by the current instance, changes the to , and calls the method of any underlying or instance.

  This method must be overridden in order to provide the functionality described above, as there is no default implementation.

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Xml.XmlReader `` To be added. To be added. To be added. To be added. 2.0.0.0
- Method
  System.Xml.XmlReader `` To be added. To be added. To be added. To be added. 2.0.0.0
- Method
  System.Xml.XmlReader `` To be added. To be added. To be added. To be added. 2.0.0.0
- Method
  System.Xml.XmlReader `` `` To be added. To be added. To be added. To be added. To be added. 2.0.0.0
- Method
  System.Xml.XmlReader `` `` To be added. To be added. To be added. To be added. To be added. 2.0.0.0
- Method
  System.Xml.XmlReader `` `` To be added. To be added. To be added. To be added. To be added. 2.0.0.0
- Method
  System.Xml.XmlReader `` `` To be added. To be added. To be added. To be added. To be added. 2.0.0.0
- Method
  System.Xml.XmlReader `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. 2.0.0.0
- Method
  System.Xml.XmlReader `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. 2.0.0.0
- Method
  System.Xml.XmlReader `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. 2.0.0.0
- Method
  System.Xml.XmlReader `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. 2.0.0.0
- Method
  System.Xml.XmlReader `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. 2.0.0.0
- Property
  System.Int32

  Gets the depth of the current node in the XML document.

  A containing the depth of the current node in the XML document.

  As described above.

  This property is read-only.

  This property must be overridden in order to provide the functionality described above, as there is no default implementation.

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` To be added. To be added. To be added. 2.0.0.0
- Property
  System.Boolean

  Gets a value indicating whether the is , signifying the reader is positioned at the end of the stream.

  A where indicates the reader is positioned at the end of the stream; otherwise, .

  As described above.

  This property is read-only.

  This property must be overridden in order to provide the functionality described above, as there is no default implementation.

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.String `` A specifying the zero-based index of the attribute relative to the containing element.

  Returns the value of the attribute with the specified index relative to the containing element.

  A containing the value of the specified attribute.

  This method does not move the reader.

  This method must be overridden in order to provide the functionality described above, as there is no default implementation.

  is less than 0, or greater than or equal to the of the containing element.

  For an example demonstrating this method, see (, ).

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.String `` A specifying the qualified name of the attribute.

  Returns the value of the attribute with the specified qualified name.

  A containing the value of the specified attribute, or if the attribute is not found.

  This method does not move the reader.

  This method must be overridden in order to provide the functionality described above, as there is no default implementation.

  For an example demonstrating this method, see (, ).

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.String `` `` To be added. To be added.

  Returns the value of the attribute with the specified local name and namespace URI.

  A containing the value of the specified attribute, or if the attribute is not found.

  This method does not move the reader.

  This method must be overridden in order to provide the functionality described above, as there is no default implementation.

  For an example demonstrating this method, see (, ).

  0
  1.0.5000.0
  2.0.0.0
- Property
  System.Boolean

  Gets a value indicating whether the current node has any attributes.

  A where indicates the current node has attributes; otherwise, .

  As described above.

  This property is read-only.

  This property returns if the property of the current node is greater than zero.

  Override this property to customize the behavior of this property in types derived from the class.

  Use this property to determine whether the current node has any attributes.

  0
  1.0.5000.0
  2.0.0.0
- Property
  System.Boolean

  Gets a value indicating whether the current node can have an associated text value.

  A where indicates the node on which the reader is currently positioned can have an associated text value; otherwise, .

  The following members of the enumeration can have an associated value: , , , , , , , , and .

  As described above.

  This property is read-only.

  This property must be overridden in order to provide the functionality described above, as there is no default implementation.

  0
  1.0.5000.0
  2.0.0.0
- Property
  System.Boolean

  Gets a value indicating whether the current node is an attribute that was generated from the default value defined in the DTD or schema.

  A where indicates the current node is an attribute whose value was generated from the default value defined in the DTD or schema; indicates the attribute value was explicitly set.

  As described above.

  This property is read-only.

  This property should return for implementations that do not support schema or DTD information.

  0
  1.0.5000.0
  2.0.0.0
- Property
  System.Boolean

  Gets a value indicating whether the current node is an empty element (for example, <MyElement />).

  A where indicates the current node is an element ( equals ) that ends with "/>", otherwise,.

  A corresponding node is not generated for empty elements.

  This property is read-only.

  This property must be overridden in order to provide the functionality described above, as there is no default implementation.

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Boolean `` A specifying the name to validate.

  Determines whether the specified string is a valid XML name.

  A where indicates the name is valid; otherwise, .

  This method uses the W3C XML 1.0 Recommendation (http://www.w3.org/TR/2000/REC-xml-20001006#NT-Name) to determine whether the name is valid.

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Boolean `` A specifying the name to validate.

  Determines whether the specified string is a valid XML name token (Nmtoken).

  A where indicates the name is valid; otherwise .

  This method uses the W3C XML 1.0 Recommendation (http://www.w3.org/TR/2000/REC-xml-20001006#NT-Nmtoken ) to determine whether the name token is valid.

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Boolean

  Determines if a node containing content is an node.

  A where indicates the node is an node; otherwise.

  As described above.

  This method calls the method, which determines whether the current node can contain content and, if not, moves the reader to the next content node or the end of the input stream. When the reader is positioned on a content node, the node is checked to determine if it is an node.

  Override this method to customize the behavior of this method in types derived from the class.

  Use this method to determine whether the node returned by the method is an node.

  An error occurred while parsing the XML. 0 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` A specifying the qualified name of an element.

  Determines if a node containing content is an node with the specified qualified name.

  A where indicates the node is an node with the specified name; otherwise.

  As described above.

  This method calls the method, which determines whether the current node can contain content and, if not, moves the reader to the next content node or the end of the input stream. When the reader is positioned on a content node, the node is checked to determine if it is an node with a property equal to .

  Override this method to customize the behavior of this method in types derived from the class.

  Use this method to determine whether the node returned by the method is an node with the specified name.

  An error occurred while parsing the XML. 0 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` `` To be added. To be added.

  Determines if a node containing content is an node with the specified local name and namespace URI.

  A where indicates the node is an node with the specified local name and namespace URI; otherwise.

  As described above.

  This method calls the method, which determines whether the current node can contain content and, if not, moves the reader to the next content node or the end of the input stream. When the reader is positioned on a content node, the node is checked to determine if it is an node with and properties equal to and , respectively.

  Override this method to customize the behavior of this method in types derived from the class.

  Use this method to determine whether the node returned by the method is an node with the specified local name and namespace URI.

  An error occurred while parsing the XML. 0 1.0.5000.0 2.0.0.0
- Property
  System.String `` A specifying the zero-based index of the attribute relative to the containing element.

  Retrieves the value of the attribute with the specified index relative to the containing element.

  A containing the value of the attribute.

  This property does not move the reader.

  This property must be overridden in order to provide the functionality described above, as there is no default implementation.

  is less than 0 or greater than or equal to the of the containing element. 0 1.0.5000.0 2.0.0.0
- Property
  System.String `` A specifying the qualified name of the attribute.

  Retrieves the value of the attribute with the specified qualified name.

  A containing the value of the specified attribute, or if the attribute is not found.

  This property does not move the reader.

  If the reader is positioned on a

  node, this method can be used to get the PUBLIC and SYSTEM literals.

  This property must be overridden in order to provide the functionality described above, as there is no default implementation.

  0
  1.0.5000.0
  2.0.0.0
- Property
  System.String `` `` To be added. To be added.

  Retrieves the value of the attribute with the specified local name and namespace URI.

  A containing the value of the specified attribute, or if the attribute is not found.

  This property does not move the reader.

  This property must be overridden in order to provide the functionality described above, as there is no default implementation.

  0
  1.0.5000.0
  2.0.0.0
- Property
  System.String

  Gets the local name of the current node.

  A containing the local name of the current node or, for node types that do not have a name (like , , and so on), .

  As described above.

  This property must be overridden in order to provide the functionality described above, as there is no default implementation.

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.String `` A specifying the prefix whose namespace URI is to be resolved. To return the default namespace, specify .

  Resolves a namespace prefix in the scope of the current element.

  A containing the namespace URI to which the prefix maps. If is not in or no matching namespace is found, is returned.

  As described above.

  This method must be overridden in order to provide the functionality described above, as there is no default implementation.

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` A specifying the zero-based index of the attribute relative to the containing element.

  Moves the position of the current instance to the attribute with the specified index relative to the containing element.

  After calling this method, the , , and properties reflect the properties of current attribute.

  This method must be overridden in order to provide the functionality described above, as there is no default implementation.

  is less than 0 or greater than or equal to the of the containing element. 0 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` A specifying the qualified name of the attribute.

  Moves the position of the current instance to the attribute with the specified qualified name.

  A where indicates the attribute was found; otherwise, . If , the reader's position does not change.

  After calling this method, the , , and properties reflect the properties of current attribute.

  This method must be overridden in order to provide the functionality described above, as there is no default implementation.

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Boolean `` `` To be added. To be added.

  Moves the position of the current instance to the attribute with the specified local name and namespace URI.

  A where indicates the attribute was found; otherwise, . If , the position of the current instance does not change.

  After calling this method, the , , and properties reflect the properties of current attribute.

  This method must be overridden in order to provide the functionality described above, as there is no default implementation.

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Xml.XmlNodeType

  Determines whether the current node can contain content and, if not, moves the position of the current instance to the next content node or the end of the input stream.

  The of the content node, or if the position of the reader has reached the end of the input stream.

  The following members of can contain content: , , , , , , and .

  As described above.

  If the current node is an node, this method moves the position of the reader back to the node that owns the attribute.

  Override this method to customize the behavior of this method in types derived from the class.

  Use this method to determine whether the current node can contain content and, if not, move the position of the reader to the next content node.

  An error occurred while parsing the XML. 0 1.0.5000.0 2.0.0.0
- Method
  System.Boolean

  Moves the position of the current instance to the node that contains the current node.

  A where indicates the position of the reader was moved; indicates the reader was not positioned on an node and therefore the position of the reader was not moved.

  The , , and members of can contain attributes.

  As described above.

  This method must be overridden in order to provide the functionality described above, as there is no default implementation.

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Boolean

  Moves the position of the current instance to the first attribute associated with the current node.

  A where indicates the current node contains at least one attribute; otherwise, .

  If is non-zero, the position of the reader moves to the first attribute; otherwise, the position of the reader does not change.

  This method must be overridden in order to provide the functionality described above, as there is no default implementation.

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Boolean

  Moves the position of the current instance to the next attribute associated with the current node.

  A where indicates the position of the reader moved to the next attribute; if there were no more attributes.

  As described above.

  This method must be overridden in order to provide the functionality described above, as there is no default implementation.

  0
  1.0.5000.0
  2.0.0.0
- Property
  System.String

  Gets the qualified name of the current node.

  A containing the qualified name of the current node or, for node types that do not have a name (like , , and so on), .

  The qualified name is equivalent to the

  prefixed with and the ':' character. For example, is "bk:book" for the element <bk:book>.

  The name returned is dependent on the of the node. The following node types return the listed values. All other node types return an empty string.

  Node Type
  Name
  The name of the attribute.
  The document type name.
  The tag name.
  The name of the entity referenced.
  The target of the processing instruction.
  The literal string "xml".

  This property is read-only.

  This property must be overridden in order to provide the functionality described above, as there is no default implementation.

  0
  1.0.5000.0
  2.0.0.0
- Property
  System.String

  Gets the namespace URI associated with the node on which the reader is positioned.

  A containing the namespace URI of the current node or, if no namespace URI is associated with the current node, .

  This property is relevant to and

  nodes only.

  Namespaces conform to the W3C "Namespaces in XML" recommendation, REC-xml-names-19990114.

  This property is read-only.

  This property must be overridden in order to provide the functionality described above, as there is no default implementation.

  0
  1.0.5000.0
  2.0.0.0
- Property
  System.Xml.XmlNameTable

  Gets the name table used by the current instance to store and look up element and attribute names, prefixes, and namespaces.

  The used by the current instance.

  Element and attribute names, prefixes, and namespaces are stored as individual objects when a document is read.

  This property is read-only.

  This property must be overridden in order to provide the functionality described above, as there is no default implementation.

  0
  1.0.5000.0
  2.0.0.0
- Property
  System.Xml.XmlNodeType

  Gets the type of the current node.

  One of the members of the enumeration representing the type of the current node.

  This property does not return the following members: , , , , and .

  This property is read-only.

  This property must be overridden in order to provide the functionality described above, as there is no default implementation.

  0
  1.0.5000.0
  2.0.0.0
- Property
  System.String

  Gets the namespace prefix associated with the current node.

  A containing the namespace prefix associated with the current node.

  A namespace prefix is used as a reference for a namespace URI and is defined in an element declaration. For example, <someElement xmlns:bk="someURL">, defines a prefix name "bk".

  As described above.

  This property is read-only.

  This property must be overridden in order to provide the functionality described above, as there is no default implementation.

  0
  1.0.5000.0
  2.0.0.0
- Property
  System.Char

  Gets the quotation mark character used to enclose the value of an attribute.

  A specifying the quotation mark character (" or ') used to enclose the value of an attribute.

  As described above.

  This property is read-only.

  This property must be overridden in order to provide the functionality described above, as there is no default implementation.

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Boolean

  Moves the position of the current instance to the next node in the stream, exposing its properties.

  A where indicates the node was read successfully, and indicates there were no more nodes to read.

  As described above.

  This method must be overridden in order to provide the functionality as described herein, as there is no default implementation.

  When a reader is first created and initialized, there is no information available. Calling this method is required to read the first node.

  An error occurred while parsing the XML. 0 1.0.5000.0 2.0.0.0
- Method
  System.Boolean

  Parses an attribute value into one or more , , and nodes.

  A where indicates the attribute value was parsed, and indicates the reader was not positioned on an attribute node or all the attribute values have been read.

  To parse an node, call the method. After the node is parsed into child nodes, call the method again to read the value of the entity.

  The of an attribute value node is one plus the depth of the attribute node. When general entity references are stepped into or out of, the

  increments or decrements by one, respectively.

  As described above.

  Implementations that cannot expand general entities should return general entities as a single empty ( equals ) node.

  Use this method after calling to read through the , or nodes that make up the attribute value. Call the method to resolve the nodes.

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Object `` `` To be added. To be added. To be added. To be added. To be added. 2.0.0.0
- Method
  System.Int32 `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. 2.0.0.0
- Method
  System.Int32 `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. 2.0.0.0
- Method
  System.Boolean To be added. To be added. To be added. 2.0.0.0
- Method
  System.DateTime To be added. To be added. To be added. 2.0.0.0
- Method
  System.Decimal To be added. To be added. To be added. 2.0.0.0
- Method
  System.Double To be added. To be added. To be added. 2.0.0.0
- Method
  System.Single To be added. To be added. To be added. 2.0.0.0
- Method
  System.Int32 To be added. To be added. To be added. 2.0.0.0
- Method
  System.Int64 To be added. To be added. To be added. 2.0.0.0
- Method
  System.Object To be added. To be added. To be added. 2.0.0.0
- Method
  System.String To be added. To be added. To be added. 2.0.0.0
- Method
  System.Object `` `` To be added. To be added. To be added. To be added. To be added. 2.0.0.0
- Method
  System.Object `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. 2.0.0.0
- Method
  System.Int32 `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. 2.0.0.0
- Method
  System.Int32 `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. 2.0.0.0
- Method
  System.Boolean To be added. To be added. To be added. 2.0.0.0
- Method
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added. 2.0.0.0
- Method
  System.DateTime To be added. To be added. To be added. 2.0.0.0
- Method
  System.DateTime `` `` To be added. To be added. To be added. To be added. To be added. 2.0.0.0
- Method
  System.Decimal To be added. To be added. To be added. 2.0.0.0
- Method
  System.Decimal `` `` To be added. To be added. To be added. To be added. To be added. 2.0.0.0
- Method
  System.Double To be added. To be added. To be added. 2.0.0.0
- Method
  System.Double `` `` To be added. To be added. To be added. To be added. To be added. 2.0.0.0
- Method
  System.Single To be added. To be added. To be added. 2.0.0.0
- Method
  System.Single `` `` To be added. To be added. To be added. To be added. To be added. 2.0.0.0
- Method
  System.Int32 To be added. To be added. To be added. 2.0.0.0
- Method
  System.Int32 `` `` To be added. To be added. To be added. To be added. To be added. 2.0.0.0
- Method
  System.Int64 To be added. To be added. To be added. 2.0.0.0
- Method
  System.Int64 `` `` To be added. To be added. To be added. To be added. To be added. 2.0.0.0
- Method
  System.Object To be added. To be added. To be added. 2.0.0.0
- Method
  System.Object `` `` To be added. To be added. To be added. To be added. To be added. 2.0.0.0
- Method
  System.String To be added. To be added. To be added. 2.0.0.0
- Method
  System.String `` `` To be added. To be added. To be added. To be added. To be added. 2.0.0.0
- Method
  System.String

  Reads the contents of a text-only element.

  A containing the contents of the element.

  As described above.

  This method calls the method and, if the returned node is an node, calls the method to read the contents.

  Override this method to customize the behavior of this method in types derived from the class.

  Use this method to read the contents of a text-only element.

  The node is not an node, the element does not contain a simple text value, or an error occurred while parsing the XML. 0 1.0.5000.0 2.0.0.0
- Method
  System.String `` A specifying the qualified name of an element.

  Reads the contents of a text-only element with the specified qualified name.

  A containing the contents of the element.

  As described above.

  This method calls the method and, if the returned node is an node, compares the property of the node to . If they are equal, this method calls the method to read the contents of the element.

  Override this method to customize the behavior of this method in types derived from the class.

  Use this method to read the contents of a text-only element with the specified qualified name.

  The node is not an node, the property of the node does not equal , the element does not contain a simple text value, or an error occurred while parsing the XML. 0 1.0.5000.0 2.0.0.0
- Method
  System.String `` `` To be added. To be added.

  Reads the contents of a text-only element with the specified local name and namespace URI.

  A containing the contents of the element.

  As described above.

  This method calls the method. If the returned node is an node, this method compares the and properties of the node to and , respectively. If they are equal, this method calls the method to read the contents of the element.

  Override this method to customize the behavior of this method in types derived from the class.

  Use this method to read the contents of a text-only element with the specified local name and namespace URI.

  The node is not an node, the property of the node does not equal , or the property of the node does not equal , the element does not contain a simple text value, or an error occurred while parsing the XML. 0 1.0.5000.0 2.0.0.0
- Method
  System.Void

  Reads an node and advances the reader to the next node.

  As described above.

  This method calls the method, which determines whether the current node can contain content and, if not, moves the reader to the next content node or the end of the input stream. The node the reader ends up positioned on is checked to determine if it is an node. If so, the node is read and the reader is moved to the next node.

  Override this method to customize the behavior of this method in types derived from the class.

  Use this method to read an node and advance the reader to the next node.

  The node is not an node or an error occurred while parsing the XML. 0 1.0.5000.0 2.0.0.0
- Method
  System.String

  Reads the contents of the current node, including child nodes and markup.

  A containing the XML content, or if the current node is neither an element nor attribute, or has no child nodes.

  The current node and corresponding end node are not returned.

  If the current node is an element, after the call to this method, the reader is positioned after the corresponding end element.

  If the current node is an attribute, the position of the reader is not changed.

  For a comparison between this method and the method, see .

  This method must be overridden in order to provide the functionality described above, as there is no default implementation.

  The XML was not well-formed, or an error occurred while parsing the XML. 0 1.0.5000.0 2.0.0.0
- Method
  System.String

  Reads the current node and its contents, including child nodes and markup.

  A containing the XML content, or if the current node is neither an element nor attribute.

  The current node and corresponding end node are returned.

  If the current node is an element, after the call to this method, the reader is positioned after the corresponding end element.

  If the current node is an attribute, the position of the reader is not changed.

  For a comparison between this method and the method, see .

  This method must be overridden in order to provide the functionality described above, as there is no default implementation.

  The XML was not well-formed, or an error occurred while parsing the XML. 0 1.0.5000.0 2.0.0.0
- Method
  System.Void

  Reads an node and advances the reader to the next node.

  As described above.

  This method calls the method, which determines whether the current node can contain content and, if not, moves the reader to the next content node or the end of the input stream. The node the reader ends up positioned on is checked to determine if it is an node. If so, the node is read and the reader is moved to the next node.

  Override this method to customize the behavior of this method in types derived from the class.

  Use this method to read an node and advance the reader to the next node.

  The node is not an node or an error occurred while parsing the XML. 0 1.0.5000.0 2.0.0.0
- Method
  System.Void `` A specifying the qualified name of an element.

  Reads an node with the specified qualified name and advances the reader to the next node.

  As described above.

  This method calls the method and, if the returned node is an node, compares the property of the node to . If they are equal, this method calls the method to read the element and move to the next node.

  Override this method to customize the behavior of this method in types derived from the class.

  Use this method to read an node with the specified qualified name, and advance the reader to the next node.

  The node is not an node, the property of the node does not equal , or an error occurred while parsing the XML. 0 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` To be added. To be added.

  Reads an node with the specified local name and namespace URI and advances the reader to the next node.

  As described above.

  This method calls the method. If the returned node is an node, this method compares the and properties of the node to and , respectively. If they are equal, this method calls the method to read the element and move to the next node.

  Override this method to customize the behavior of this method in types derived from the class.

  Use this method to read an node with the specified local name and namespace URI, and advance the reader to the next node.

  The node is not an node, the property of the node does not equal , the property of the node does not equal , or an error occurred while parsing the XML. 0 1.0.5000.0 2.0.0.0
- Property
  System.Xml.ReadState

  Gets the read state of the reader.

  One of the members of the enumeration.

  As described above.

  This property is read-only.

  This property must be overridden in order to provide the functionality described above, as there is no default implementation.

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.String

  Reads the contents of an element or text node as a string.

  A containing the contents of the or node, or if the reader is positioned on any other type of node.

  If positioned on an node, this method concatenates all , , , and node types, and returns the concatenated data as the element content. If none of these node types exist, is returned. Concatenation stops when any markup is encountered, which can occur in a mixed content model or when an element end tag is read.

  If positioned on an element node, this method performs the same concatenation from the node to the element end tag. If the reader is positioned on an attribute node, this method has the same functionality as if the reader were position on the element start tag.

  This method must be overridden in order to provide the functionality described above, as there is no default implementation.

  An error occurred while parsing the XML. 0 1.0.5000.0 2.0.0.0
- Method
  System.Xml.XmlReader To be added. To be added. To be added. 2.0.0.0
- Method
  System.Boolean `` To be added. To be added. To be added. To be added. 2.0.0.0
- Method
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added. 2.0.0.0
- Method
  System.Boolean `` To be added. To be added. To be added. To be added. 2.0.0.0
- Method
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added. 2.0.0.0
- Method
  System.Boolean `` To be added. To be added. To be added. To be added. 2.0.0.0
- Method
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added. 2.0.0.0
- Method
  System.Int32 `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. 2.0.0.0
- Method
  System.Void

  Resolves the entity reference for nodes.

  This method parses the entity reference into child nodes. When the parsing is finished a new node is placed in the stream to close the

  scope. To step into the entity after this method has been called, call the method if the entity is part of an attribute value, or the method if the entity is part of element content.

  If this method is not called, the parser moves to the next node past the entity (child nodes are bypassed).

  This method must be overridden in order to provide the functionality as described in the Behaviors and Usage sections, as there is no default implementation.

  This method is required to throw an exception for implementations that do not support schema or DTD information. In this case, the property is required to return .

  Use this method to resolve the entity reference for nodes. Before calling this method, determine whether the reader can resolve an entity by checking the property.

  The reader is not positioned on a node. 0 1.0.5000.0 2.0.0.0
- Property
  System.Xml.Schema.IXmlSchemaInfo To be added. To be added. To be added. 2.0.0.0
- Property
  System.Xml.XmlReaderSettings To be added. To be added. To be added. 2.0.0.0
- Method
  System.Void

  Skips over the current element and moves the position of the current instance to the next node in the stream.

  If the reader is positioned on a non-empty node ( equals ), the position of the reader is moved to the node following the corresponding node. The properties of the nodes that are skipped over are not exposed. If the reader is positioned on any other node type, the position of the reader is moved to the next node, in this case behaving like the method.

  This method calls the method before skipping to the next node.

  Override this method to customize the behavior of this method in types derived from the class.

  Use this method to skip over the current node.

  The XML was not well-formed, or an error occurred while parsing the XML. 0 1.0.5000.0 2.0.0.0
- Method
  System.Void To be added. To be added. 2.0.0.0
- Property
  System.String

  Gets the text value of the current node.

  A containing the text value of the current node.

  The value returned depends on the . The following table lists node types that have a value to return. All other node types return .

  Node Type
  Value
  The value of the attribute.
  The content of the CDATA section.
  The content of the comment.
  The internal subset.
  The entire content, excluding the target.
  The white space between markup in a mixed content model, or in the scope of xml:space = "preserve".

  The content of the text node.

  The white space between markup.
  The content of the declaration.

  This property is read-only.

  This property must be overridden in order to provide the functionality described above, as there is no default implementation.

  0
  1.0.5000.0
  2.0.0.0
- Property
  System.Type To be added. To be added. To be added. 2.0.0.0
- Property
  System.String

  Gets the current xml:lang scope.

  A containing the current xml:lang scope.

  As described above.

  This property is read-only.

  This property must be overridden in order to provide the functionality described above, as there is no default implementation.

  0
  1.0.5000.0
  2.0.0.0
- Property
  System.Xml.XmlSpace

  Gets the current xml:space scope.

  One of the members of the enumeration. If no xml:space scope exists, this property defaults to .

  As described above.

  This property is read-only.

  This property must be overridden in order to provide the functionality described above, as there is no default implementation.

  0
  1.0.5000.0
  2.0.0.0
0